Loading...
Searching...
No Matches
BALL::ResidueTorsions Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/residueTorsions.h>`

Inheritance diagram for BALL::ResidueTorsions:

## Classes

struct | Data

## Public Member Functions

Constructors and Destructors
| ResidueTorsions ()
virtual | ~ResidueTorsions ()
virtual void | clear ()
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Accessors

StringHashMap< vector< Data > > | torsions_
HashSet< String > | all_torsions_
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
virtual bool | extractSection (Parameters &parameters, const String &section_name)
Size | getNumberOfResidueTorsions (const String &residue_name) const
bool | assignTorsion (const String &name, Position i, Data &torsion) const
bool | hasTorsion (const String &residue, const String &atom_A, const String &atom_B, const String &atom_C, const String &atom_D) const

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

Parameter class containing all proper torsions occuring in a residue. Several force fields (e.g. CHARMM) do not necessarily consider or parametrize all occurring torsions but explicitly list the torsions for each residue. This parameter section is used to represent this list. The class AMBER and CHARMM torsions components check for the presence of the parameter section [ResidueTorsions] and then decide whether they have to generate the torsions by itself (creating all torsions and complaining about missing parameters) or whether they have to read them from this section.

Definition at line 32 of file residueTorsions.h.

## Constructor & Destructor Documentation

## ResidueTorsions()

BALL::ResidueTorsions::ResidueTorsions | ( |  | ) |

Default constructor.

## ~ResidueTorsions()

virtual BALL::ResidueTorsions::~ResidueTorsions | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignTorsion()

bool BALL::ResidueTorsions::assignTorsion | ( | const String & | name,
|  | Position | i,
|  | Data & | torsion ) const

Assign the i th torsion for a residue.

Parameters

  name | the residue name (including modifiers like -S or -N);
  i | the index. 0 $<$ i $<$ getNumberOfResidueTorsions
  ResidueTorsion | the torsion to be assigned to

Returns
  bool - true if the torsion was found, false otherwise

## clear()

virtual void BALL::ResidueTorsions::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSection() [1/2]

virtual bool BALL::ResidueTorsions::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## extractSection() [2/2]

virtual bool BALL::ResidueTorsions::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getNumberOfResidueTorsions()

Size BALL::ResidueTorsions::getNumberOfResidueTorsions | ( | const String & | residue_name | ) | const

Return the number of torsions for this residue.

## hasTorsion()

bool BALL::ResidueTorsions::hasTorsion | ( | const String & | residue,
|  | const String & | atom_A,
|  | const String & | atom_B,
|  | const String & | atom_C,
|  | const String & | atom_D ) const

Return true if the torsion has to be considered for the residue.

## Member Data Documentation

## all_torsions_

HashSet<String> BALL::ResidueTorsions::all_torsions_

protected

Definition at line 137 of file residueTorsions.h.

## torsions_

StringHashMap<vector<Data> > BALL::ResidueTorsions::torsions_

protected

Definition at line 131 of file residueTorsions.h.